using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class TableTest : System.Web.UI.Page
{
    /// <summary>
    /// Wywoływana przy każdym ładowaniu strony
    /// </summary>
    protected void Page_Load(object sender, EventArgs e)
    {
       // -------  tworzenie pierwszego wiersza tabeli  -------
       TableRow tr1 = new TableRow();
      tr1.BackColor = System.Drawing.Color.Goldenrod;
       tr1.Font.Bold = true;

       // tworzenie komórek pierwszego wiersza
       TableCell tc1a = new TableCell();
       tc1a.Text = "Autor";
       tc1a.Width = 100;
       TableCell tc1b = new TableCell();
       tc1b.Text = "Narodowość";
       tc1b.Width = 100;

       // dodawanie komórek do pierwszego wiersza
       tr1.Cells.Add(tc1a);
       tr1.Cells.Add(tc1b);

       // -------  tworzenie drugiego wiersza tabeli  -------
       TableRow tr2 = new TableRow();
      tr2.BackColor = System.Drawing.Color.LightGoldenrodYellow;

       // tworzenie komórek drugiego wiersza
       TableCell tc2a = new TableCell();
       tc2a.Text = "Milton";
       TableCell tc2b = new TableCell();
       tc2b.Text = "Anglia";

       // add cells to row 2
       tr2.Cells.Add(tc2a);
       tr2.Cells.Add(tc2b);

       // dodawanie komórek do drugiego wiersza
       tabProgramming.Rows.Add(tr1);
       tabProgramming.Rows.Add(tr2);
    }
}
